Module java.desktop
Package javax.swing.plaf.basic

# Class BasicInternalFrameUI.ComponentHandler

java.lang.Object
javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler

All Implemented Interfaces:
  `ComponentListener`, `EventListener`

Enclosing class:
  BasicInternalFrameUI

    protected class BasicInternalFrameUI.ComponentHandler
    extends Object
    implements ComponentListener

Component handler.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `ComponentHandler()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `componentResized​(ComponentEvent e)` | Invoked when a JInternalFrame's parent's size changes.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.ComponentListener

`componentHidden, componentMoved, componentShown`

## Constructor Details

### ComponentHandler

protected ComponentHandler()

## Method Details

### componentResized

public void componentResized​(ComponentEvent e)
Invoked when a JInternalFrame's parent's size changes.

Specified by:
  `componentResized` in interface `ComponentListener`
Parameters:
  `e` - the event to be processed